:: --------------------------------------------
:: Installation Program for Norton Desktop
:: (c) 1991 AdWare, Inc.
:: --------------------------------------------
echo off
cls
:: ------------------------------------ Get rid of colon, if typed in
if "%1" == "" goto nodrive
if "%1" == "c:" install C
if "%1" == "C:" install C
if "%1" == "d:" install D
if "%1" == "D:" install D
if "%1" == "e:" install E
if "%1" == "E:" install E
if "%1" == "f:" install F
if "%1" == "F:" install F
if "%1" == "g:" install G
if "%1" == "G:" install G
if "%1" == "h:" install H
if "%1" == "H:" install H
if "%1" == "i:" install I
if "%1" == "I:" install I
if "%1" == "j:" install J
if "%1" == "J:" install J
if "%1" == "k:" install K
if "%1" == "K:" install K
if "%1" == "l:" install L
if "%1" == "L:" install L
if "%1" == "m:" install M
if "%1" == "M:" install M
if "%1" == "n:" install N
if "%1" == "N:" install N
if "%1" == "o:" install O
if "%1" == "O:" install O
if "%1" == "p:" install P
if "%1" == "P:" install P
if "%1" == "q:" install Q
if "%1" == "Q:" install Q
if "%1" == "r:" install R
if "%1" == "R:" install R
if "%1" == "s:" install S
if "%1" == "S:" install S
if "%1" == "t:" install T
if "%1" == "T:" install T
if "%1" == "u:" install U
if "%1" == "U:" install U
if "%1" == "v:" install V
if "%1" == "V:" install V
if "%1" == "w:" install W
if "%1" == "W:" install W
if "%1" == "x:" install X
if "%1" == "X:" install X
if "%1" == "y:" install Y
if "%1" == "Y:" install Y
if "%1" == "z:" install Z
if "%1" == "Z:" install Z
::
:: ------------------------------------ Check for enough space on drive
echo off
dfree %1: 1800000
if errorlevel 1 goto nofree
::
:: ------------------------------------ Check for Installation Conditions
::
if not exist ND_pak.exe goto filefail
if not exist NDDEMO.BAT goto filefail
::
:: ------------------------------------ Start Installation
::
echo.
echo       Norton Desktop Demo Disk Install
echo       
echo.
echo       Make sure that your Norton Desktop Demo
echo       Disk is in disk drive A: or B:
echo       
echo.
echo       This installation program will create
echo       a directory called %1:\NDDEMO.
echo.
echo       1.8 megabytes of free disk space
echo       on your %1: drive is required for
echo       the installation process.
echo       
echo.
echo       To quit this installation,
echo       press [CTRL] [C] or [CTRL] [BREAK].
echo.
echo       Or press any key to continue
pause >nul
cls
:: ------------------------------------ Make directory
md %1:\NDDEMO
:: ------------------------------------ Mask out "Unable to create directory"
cls
echo. 
echo       Norton Desktop Demo Disk Install
echo       
echo.
echo       Now unpacking demo files onto your
echo       %1: hard disk drive partition...
echo       
echo.
:: ------------------------------------ unpack demo and copy batch file
ND_pak %1:\NDDEMO
if errorlevel 1 goto failinst
copy NDDEMO.bat %1:\NDDEMO
copy ND_DEMO.pif %1:\NDDEMO
if errorlevel 1 goto failinst
:: cls
goto success
:: --------
:success
:: --------
::
:: ----------------------------------- Change to user designated drive
::
%1:
cd \NDDEMO
::
:: ----------------------------------- Check for unsuccessful unzip
::
if not exist ND_demo.exe goto failinst
if not exist NDDEMO.bat goto failinst
::
:: ----------------------------------- Putup successful message
::
cls
echo.
echo       Norton Desktop Demo Disk Install
echo       
echo.
echo       You have successfully installed the Norton Desktop demo.
echo.
echo       To start the demo from DOS, type: NDDEMO and press the
echo       Enter key.
echo.
echo       You can also run the demo from Windows.  For smoothest
echo       results, run Windows in real mode (WIN /R) or standard
echo       mode (WIN /S).
echo.
echo       
echo.
echo       You can quit by pressing [CTRL] [C] or [CTRL] [BREAK]
goto exit
:: --------
:failinst
:: --------
:: ----------------------------------- Change File Name for Current Demo
::
cls
echo       Norton Desktop Demo Disk Install Problem 1
echo.   
echo       
echo.
echo       We are sorry, but an error occured during the
echo       unpacking of the Norton Desktop demo files
echo.
echo       To correctly install on your hard disk drive, first
echo      log onto the drive where INSTALL resides and type:
echo.
echo       "INSTALL X"
echo.
echo         (X is the hard disk drive partition you designate)
echo       
echo.
echo       You can quit by pressing [CTRL] [C] or [CTRL] [BREAK]
echo       Or press any key for more information
echo.
pause >nul
:: --------
cls
echo       Norton Desktop Demo Disk Install Problem 2
echo.   
echo       
echo.
echo       A likely problem was the failure of the installation
echo       program to properly "unpack" the key demo file:
echo.
echo 	  	 ND_PAK.EXE
echo.
echo       Check to see if these files are in your %1:\NDDEMO
echo       directory.  If they exist, then simply type NDDEMO
echo       and see if the demo plays.
echo.
echo       If they don't exist, then please try again.
echo       
echo.
echo       You can quit by pressing [CTRL] [C] or [CTRL] [BREAK]
echo       Or press any key for more information
echo.
pause >nul
:: --------
cls
echo       Norton Desktop Demo Disk Install Problem 3
echo       
echo.   
echo 	   If you fail again, then try manually installing the
echo 	   demo as follows:
echo.   
echo 	   1. Make a directory called NDDEMO on your hard drive
echo 	      Make sure you have at least 1.8 MB of free space
echo.
echo 	   2. Copy the ND_PAK.EXE and NDDEMO.BAT files
echo 	      from the demo disk into the \NDDEMO directory
echo.
echo 	   3. Type: "CD \NDDEMO"
echo.
echo 	   4. Type: "ND_PAK" and watch the demo unpack itself
echo.
echo 	   5. Type: NDDEMO
echo.
echo 	   We're sorry you had to go through this
echo 	   but the demo should work now!
echo       
goto exit

:: --------
:nofree
:: --------
cls
echo.
echo       Norton Desktop Demo Disk Install
echo       
echo.
echo       We are sorry, but the hard disk drive
echo       partition you selected (%1:) does not
echo       have enough free space to copy the
echo       Norton Desktop demo files.
echo.
echo       Or, the %1: hard disk drive partition
echo       you selected does not exist or was
echo       incorrectly typed in.
echo.
echo       Please remove any unnecessary files
echo       and directories to create at least 1.8 MB
echo       of free disk space, then repeat the
echo       installation, or choose another valid
echo       partition with sufficient space.
echo       
goto exit

:: --------
:nodrive
:: --------
echo.
echo       To install the Norton Desktop Demo Disk:
echo       
echo.
echo       Make room on your hard disk for the 1.8 megabytes
echo       needed for the demo, after it's decompressed.
echo.
echo       Put your Norton Desktop Demo Disk in disk drive A: or B:
echo.
echo       Log onto the drive with the Demo Disk and type:
echo.
echo       "INSTALL X:"    (where X is the hard disk drive
echo                       which has 1.8 Meg of storage available)
echo       
echo.
echo       For example:    "A:"
echo                      "A:\>INSTALL C:"
echo.
echo       The installation program would create a directory
echo       called C:\NDDEMO.  Then, the compressed demo file,
echo       ND_PAK.EXE, would self extract as c:\NDDEMO\ND_DEMO.EXE.
echo       
goto exit

:: --------
:filefail
:: --------
cls
echo.
echo       Norton Desktop Demo Disk Install
echo       
echo.
echo       One of the following files was not found
echo       on your current drive and directory:
echo.
echo 	  		ND_PAK.EXE
echo 	  		NDDEMO.BAT
echo.
echo       Be sure to log onto the drive and directory
echo       which has the INSTALL.BAT file, before typing: 
echo.
echo 	  		INSTALL %1
echo.
echo       
goto exit

:: --------
:exit
:: --------
echo.
echo       Press any key to continue
pause >nul
exit
